package de.htwsaar.webshop.service;

import de.htwsaar.webshop.model.FarmImageModel;
import de.htwsaar.webshop.repository.entities.FarmImage;
import org.springframework.web.multipart.MultipartFile;

import java.util.UUID;

public interface FarmImageService {
    FarmImage getStandardImage();

    FarmImage getImageByUUID(UUID uuid);

    FarmImage getImageById(Long imageId);

    FarmImage save(FarmImage image);

    FarmImage save(FarmImageModel model);

    FarmImage save(UUID uuid, String base64, boolean standard);

    void deleteById(Long imageId);
}
